Bug 152396 - Update cad/salome* to 5.1.4
Summary: Update cad/salome* to 5.1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-19 08:40 UTC by devel
Modified: 2011-01-04 21:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description devel 2010-11-19 08:40:10 UTC
URL with update

Update Salome (cad/salome*) to version 5.1.4.
cad/salome-netgenplugin and cad/salome-jobmanager are new modules. 
P.S. ports/152394 should be commited for cad/salome-netgenplugin

URL with patch:
http://www.stasyan.com/devel/ports/patch_salome_514.txt
Comment 1 Pav Lucistnik freebsd_committer 2010-11-29 13:28:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Take
Comment 2 Pav Lucistnik freebsd_committer 2010-11-29 14:51:05 UTC
State Changed
From-To: open->feedback

This requires GCC 4.4, which does not build on amd64.  Could this work with GCC 4.5?
Comment 3 Pav Lucistnik freebsd_committer 2010-11-30 10:06:38 UTC
State Changed
From-To: feedback->open

Needs exactly 4.4, confirmed with maintainer. 


Comment 4 Pav Lucistnik freebsd_committer 2010-11-30 10:06:38 UTC
Responsible Changed
From-To: pav->freebsd-ports-bugs

Back to pool, this needs someone with i386 box.
Comment 5 Thierry Thomas freebsd_committer 2011-01-02 17:26:03 UTC
State Changed
From-To: open->feedback


1) To build salome-kernel against mpich, I had to apply some 
modifications. I've put the new patch at 
<http://people.freebsd.org/~thierry/ports/salome-kernel.diff> 

2) salome-jobmanager does not build here, it failes with the following 
error: 

====================<phase 1: make checksum>==================== 
===>  salome-jobmanager-5.1.4 Bad autotool stanza: autoheader:268. 
*** Error code 1 

Stop in /a/ports/cad/salome-jobmanager. 
================================================================ 

Could you please check it?
Comment 6 Thierry Thomas freebsd_committer 2011-01-03 21:55:59 UTC
State Changed
From-To: feedback->open


Feedback received, thanks! 

Seeems ready to be committed... just some more testings.
Comment 7 dfilter service freebsd_committer 2011-01-04 21:13:50 UTC
thierry     2011-01-04 21:13:45 UTC

  FreeBSD ports repository

  Modified files:
    cad/salome           Makefile Makefile.ext distinfo 
    cad/salome-kernel    Makefile pkg-plist 
    cad/salome-kernel/files patch-KERNEL-MPIObject_i.hxx 
                            patch-KERNEL-Receivers.cxx 
    cad/salome-gui       Makefile pkg-plist 
    cad/salome-geom      Makefile pkg-plist 
    cad/salome-med       Makefile pkg-plist 
    cad/salome-smesh     Makefile pkg-plist 
    cad/salome-yacs      Makefile pkg-plist 
    cad/salome-yacs/files patch-src_engine_swig_Makefile.am 
                          patch-src_runtime_swig_Makefile.am 
                          patch-src_salomegui_swig_Makefile.am 
                          patch-src_yacsloader_swig_Makefile.am 
    cad/salome-light     Makefile pkg-plist 
    cad/salome-visu      Makefile pkg-plist 
    cad/salome-randomizer Makefile 
    cad/salome-sierpinsky Makefile 
    cad/salome-multipr   Makefile 
  Added files:
    cad/salome-kernel/files patch-KERNEL-ReceiverFactory.cxx 
                            patch-SALOME_Comm_i.cxx 
                            patch-salome_adm__unix__config_files__check_mpich.m4 
    cad/salome-gui/files patch-GUI_DDS_DDS_DicGroup.cxx 
                         patch-GUI_DDS_DDS_DicItem.cxx 
                         patch-GUI_QDS_QDS_Datum.cxx 
    cad/salome-geom/files 
                          patch-admlocal_unix_config_files_Makefile.am 
    cad/salome-med/files patch-MEDMEM_MEDMEM_GibiMeshDriver.cxx 
    cad/salome-yacs/files patch-runtime_DistributedPythonNode.cxx 
                          patch-src_runtime_SalomeOptimizerLoop.cxx 
  Removed files:
    cad/salome-kernel/files patch-KERNEL-Container_i.cxx 
                            patch-KERNEL-SALOMEDSImpl_StudyBuilder.cxx 
                            patch-KERNEL-SALOME_Comm_i.cxx 
                            patch-KERNEL-SALOME_LifeCycleCORBA.hxx 
                            patch-KERNEL-TestContainerManager.cxx 
    cad/salome-gui/files patch-GUI_check_GUI.m4 
    cad/salome-geom/files 
                          patch-admlocal_unix_configfiles_Makefile.am 
                          patch-build_configure patch-check_qt.m4 
                          patch-check_vtk.m4 
    cad/salome-med/files patch-MED_configure.ac 
                         patch-ParaMEDMED_ParaMEDMEMTest.cxx 
                         patch-ParaMEDMED_test_AlltoAllvTimeDEC.cxx 
                         patch-ParaMEDMED_test_AlltoAllvTimeDoubleDEC.cxx 
                         patch-ParaMEDMEM_MxN_Mapping.hxx 
                         patch-adm_local_unix_configfiles_Makefile.am 
                         patch-check_qt.m4 
    cad/salome-smesh/files patch-admlocal_unix_config_Makefile.am 
  Log:
  Update cad/salome* to 5.1.4.
  
  Warning: This port require gcc 4.4 build 20090512 or _EARLIER_ for
           successful _run_.
  
  PR:             ports/152396
  Submitted by:   maintainer (Stas Timokhin)
  
  Revision  Changes    Path
  1.3       +1 -0      ports/cad/salome-geom/Makefile
  1.1       +9 -0      ports/cad/salome-geom/files/patch-admlocal_unix_config_files_Makefile.am (new)
  1.2       +0 -12     ports/cad/salome-geom/files/patch-admlocal_unix_configfiles_Makefile.am (dead)
  1.2       +0 -12     ports/cad/salome-geom/files/patch-build_configure (dead)
  1.2       +0 -38     ports/cad/salome-geom/files/patch-check_qt.m4 (dead)
  1.2       +0 -71     ports/cad/salome-geom/files/patch-check_vtk.m4 (dead)
  1.3       +252 -206  ports/cad/salome-geom/pkg-plist
  1.3       +1 -0      ports/cad/salome-gui/Makefile
  1.1       +10 -0     ports/cad/salome-gui/files/patch-GUI_DDS_DDS_DicGroup.cxx (new)
  1.1       +11 -0     ports/cad/salome-gui/files/patch-GUI_DDS_DDS_DicItem.cxx (new)
  1.1       +10 -0     ports/cad/salome-gui/files/patch-GUI_QDS_QDS_Datum.cxx (new)
  1.2       +0 -11     ports/cad/salome-gui/files/patch-GUI_check_GUI.m4 (dead)
  1.3       +169 -160  ports/cad/salome-gui/pkg-plist
  1.4       +1 -0      ports/cad/salome-kernel/Makefile
  1.2       +0 -10     ports/cad/salome-kernel/files/patch-KERNEL-Container_i.cxx (dead)
  1.2       +3 -3      ports/cad/salome-kernel/files/patch-KERNEL-MPIObject_i.hxx
  1.1       +10 -0     ports/cad/salome-kernel/files/patch-KERNEL-ReceiverFactory.cxx (new)
  1.2       +2 -2      ports/cad/salome-kernel/files/patch-KERNEL-Receivers.cxx
  1.2       +0 -10     ports/cad/salome-kernel/files/patch-KERNEL-SALOMEDSImpl_StudyBuilder.cxx (dead)
  1.3       +0 -26     ports/cad/salome-kernel/files/patch-KERNEL-SALOME_Comm_i.cxx (dead)
  1.2       +0 -11     ports/cad/salome-kernel/files/patch-KERNEL-SALOME_LifeCycleCORBA.hxx (dead)
  1.2       +0 -10     ports/cad/salome-kernel/files/patch-KERNEL-TestContainerManager.cxx (dead)
  1.1       +13 -0     ports/cad/salome-kernel/files/patch-SALOME_Comm_i.cxx (new)
  1.1       +22 -0     ports/cad/salome-kernel/files/patch-salome_adm__unix__config_files__check_mpich.m4 (new)
  1.3       +36 -101   ports/cad/salome-kernel/pkg-plist
  1.3       +1 -0      ports/cad/salome-light/Makefile
  1.2       +9 -9      ports/cad/salome-light/pkg-plist
  1.3       +1 -0      ports/cad/salome-med/Makefile
  1.1       +10 -0     ports/cad/salome-med/files/patch-MEDMEM_MEDMEM_GibiMeshDriver.cxx (new)
  1.2       +0 -8      ports/cad/salome-med/files/patch-MED_configure.ac (dead)
  1.2       +0 -10     ports/cad/salome-med/files/patch-ParaMEDMED_ParaMEDMEMTest.cxx (dead)
  1.2       +0 -10     ports/cad/salome-med/files/patch-ParaMEDMED_test_AlltoAllvTimeDEC.cxx (dead)
  1.2       +0 -10     ports/cad/salome-med/files/patch-ParaMEDMED_test_AlltoAllvTimeDoubleDEC.cxx (dead)
  1.2       +0 -13     ports/cad/salome-med/files/patch-ParaMEDMEM_MxN_Mapping.hxx (dead)
  1.2       +0 -20     ports/cad/salome-med/files/patch-adm_local_unix_configfiles_Makefile.am (dead)
  1.2       +0 -38     ports/cad/salome-med/files/patch-check_qt.m4 (dead)
  1.3       +346 -299  ports/cad/salome-med/pkg-plist
  1.3       +1 -0      ports/cad/salome-multipr/Makefile
  1.3       +1 -0      ports/cad/salome-randomizer/Makefile
  1.3       +1 -0      ports/cad/salome-sierpinsky/Makefile
  1.3       +1 -0      ports/cad/salome-smesh/Makefile
  1.2       +0 -10     ports/cad/salome-smesh/files/patch-admlocal_unix_config_Makefile.am (dead)
  1.3       +527 -508  ports/cad/salome-smesh/pkg-plist
  1.3       +1 -0      ports/cad/salome-visu/Makefile
  1.3       +287 -297  ports/cad/salome-visu/pkg-plist
  1.3       +1 -0      ports/cad/salome-yacs/Makefile
  1.1       +18 -0     ports/cad/salome-yacs/files/patch-runtime_DistributedPythonNode.cxx (new)
  1.2       +11 -8     ports/cad/salome-yacs/files/patch-src_engine_swig_Makefile.am
  1.1       +14 -0     ports/cad/salome-yacs/files/patch-src_runtime_SalomeOptimizerLoop.cxx (new)
  1.2       +12 -10    ports/cad/salome-yacs/files/patch-src_runtime_swig_Makefile.am
  1.2       +14 -10    ports/cad/salome-yacs/files/patch-src_salomegui_swig_Makefile.am
  1.2       +14 -10    ports/cad/salome-yacs/files/patch-src_yacsloader_swig_Makefile.am
  1.3       +222 -219  ports/cad/salome-yacs/pkg-plist
  1.7       +14 -7     ports/cad/salome/Makefile
  1.10      +45 -24    ports/cad/salome/Makefile.ext
  1.2       +2 -3      ports/cad/salome/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2011-01-04 21:14:39 UTC
thierry     2011-01-04 21:14:34 UTC

  FreeBSD ports repository

  Modified files:
    cad                  Makefile 
  Added files:
    cad/salome-netgenplugin Makefile pkg-descr pkg-plist 
    cad/salome-netgenplugin/files patch-check_NETGEN.m4 
                                  patch-check_NETGENPLUGIN.m4 
  Log:
  SALOME is a free software that provides a generic platform for Pre
  and Post-Processing for numerical simulation.
  +Supports interoperability between CAD modeling and
   computation software (CAD-CAE link)
  +Makes easier the integration of new components on heterogeneous systems
   for numerical computation
  +Sets the priority to multi-physics coupling between computation software
  +Provides a generic user interface, user-friendly and efficient,
   which helps to reduce the costs and  delays of carrying out the studies
  +Reduces training time to the specific time for learning the software solution
   which has been based on this platform
  +All functionalities are accessible through the programmatic
   integrated Python console
  
  This package contains NETGENPLUGIN module.
  
  WWW: http://www.salome-platform.org
  - Stas Timokhin
  devel@stasyan.com
  
  PR:             ports/152396
  Submitted by:   Stas Timokhin <devel at stasyan.com>
  
  Revision  Changes    Path
  1.128     +1 -0      ports/cad/Makefile
  1.1       +15 -0     ports/cad/salome-netgenplugin/Makefile (new)
  1.1       +38 -0     ports/cad/salome-netgenplugin/files/patch-check_NETGEN.m4 (new)
  1.1       +20 -0     ports/cad/salome-netgenplugin/files/patch-check_NETGENPLUGIN.m4 (new)
  1.1       +19 -0     ports/cad/salome-netgenplugin/pkg-descr (new)
  1.1       +52 -0     ports/cad/salome-netgenplugin/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2011-01-04 21:15:59 UTC
thierry     2011-01-04 21:15:54 UTC

  FreeBSD ports repository

  Modified files:
    cad                  Makefile 
  Added files:
    cad/salome-jobmanager Makefile pkg-descr pkg-plist 
    cad/salome-jobmanager/files patch-configure.ac 
  Log:
  SALOME is a free software that provides a generic platform for Pre
  and Post-Processing for numerical simulation.
  +Supports interoperability between CAD modeling and
   computation software (CAD-CAE link)
  +Makes easier the integration of new components on heterogeneous systems
   for numerical computation
  +Sets the priority to multi-physics coupling between computation software
  +Provides a generic user interface, user-friendly and efficient,
   which helps to reduce the costs and  delays of carrying out the studies
  +Reduces training time to the specific time for learning the software solution
   which has been based on this platform
  +All functionalities are accessible through the programmatic
   integrated Python console
  
  This package contains Job manager module.
  
  WWW: http://www.salome-platform.org
  - Stas Timokhin
  devel@stasyan.com
  
  PR:             ports/152396
  Submitted by:   Stas Timokhin <devel at stasyan.com>
  
  Revision  Changes    Path
  1.129     +1 -0      ports/cad/Makefile
  1.1       +15 -0     ports/cad/salome-jobmanager/Makefile (new)
  1.1       +11 -0     ports/cad/salome-jobmanager/files/patch-configure.ac (new)
  1.1       +19 -0     ports/cad/salome-jobmanager/pkg-descr (new)
  1.1       +32 -0     ports/cad/salome-jobmanager/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Thierry Thomas freebsd_committer 2011-01-04 21:17:14 UTC
State Changed
From-To: open->closed


Committed, thanks!
Comment 11 Thierry Thomas freebsd_committer 2014-06-01 07:25:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.